Steam - checking bootstrapper version

  • Hallo,


    ich versuche gerade einen CSS-Server auf meinem vServer zu installieren doch komme einfach nicht weiter.
    Die Installation hängt sich immer bei dem Punkt nach der installation des hldsupdatetools auf, bzw. Steam kann sich nicht updaten.
    Ich gehe ganz normal vor, indem ich hldsupdatetool herunterlade, dass auch funktioniert. Nach eingabe von ./steam bleibt die Installation bei "Checking bootstrapper version ..." hängen.
    Es scheint als könne er nicht zu den Steam servern kommunizieren, jedoch ist die Firewall zzt. komplett offen ! (siehe Anhang/Bild).
    Habe schon den vServer neu installiert, über root und andere Benutzer probiert Steam updaten zu lassen.
    Mit den bisherigen Forum-Posts bin ich nicht weitergekommen, die Steam server sollten eigentlich nicht 2 Tage hintereinander überlastet sein...


    Ich hoffe ihr könnt mir helfen :)

  • hallöchen


    Du lädst also die hldsupdatetool.bin runter und fürst dan die steam aus? Wen ja ist das der Fehler.
    Ich betreue nebenbei auch einen css server.
    Aus meinen Update Script:

    Code
    function steam {
    	echo "Alter version wird gelöscht..."
       	rm hldsupdatetool.bin
    	rm steam
    	echo "Neue version wird geholt."
    	wget http://storefront.steampowered.com/download/hldsupdatetool.bin 
    	chmod u+x hldsupdatetool.bin
    	./hldsupdatetool.bin
    	echo "Bitte ./update.sh update servername durchfüren!!"


    Updatefunktion:


    Das ganze echo hat damit zu tun das ich das per crontab ausführen lasse jeden morgen und er mit das in eine datei schreibt damit ich gucken kann ob alles geklapt hat.
    Eigendlich must du um Steam zu updaten folgendes eingeben:

    Code
    rm hldsupdatetool.bin
    rm steam
    wget http://storefront.steampowered.com/download/hldsupdatetool.bin 
    chmod u+x hldsupdatetool.bin
    ./hldsupdatetool.bin
    ./steam -command update -game "Counter-Strike Source" -dir $update_dir -verify_all


    $update_dir durch deinen Instalationspfad austauschen.
    Dann sollte es Klappen


    mfG DasUFO

  • Leider geht es immernochnicht.
    Nicht per Screen Session, dort stoppt er wieder bei "Checking bootstrapper version ...".


    Die Befehle (letzten) von "DasUfo" sind mir bekannt, so wollte ich den CSS-Server auch installieren, jedoch hier das gleiche Problem "Checking bootstrapper version ...".


    Er kann sich irgentwie nicht mit den Steam Servern verbinden, ich weiß nicht woran es liegt.
    Bin langsam am verzweifeln ?(

  • Ich hole den Thread mal aus der Versenkung, da es mir ähnlich ging.


    Du musst, solltest du ein 64 Bit System verwenden, unbedingt 2 Dinge installieren, damit CSS Laufen kann. ( War zumindest bei mir so - Kommt daher, dass auf dem 64 Bit System die 32 Bit Packages normalerweise fehlen )


    apt-get install lib32gcc1 ia32-libs




    Danach ggf. das HLDSUpdateTool erneut runterladen, erneut ausführen und Steam starten. Dann ging es bei mir ohne Probleme. Allerdings erst, nachdem ich selbst das HLDSUpdateTool neu geladen habe!


    LG

  • Leider ist das Problem immernoch nicht gelöst.
    Habe bereits den vServer mehrmals neu installiert, nun auch zu testzwecken direkt per root-user alles versucht zu installieren.
    Immer wieder bleibt er bei checking bootstrapper version stehen...


    Support meint am vServer direkt ist alles in Ordnung.

  • Problem gelöst: Steam hat ein Update durchgeführt, nun ist nichtmehr das HLDSupdatetool die Grundlage der Server, sonder "SteamPipe".
    Warum es jedoch vor dem Update nicht ging, ist mir immernoch schleierhaft.
    Aber schön das das Problem jetz endlich gelöst ist, hoffentlich läuft der Server ohne Probleme :)